<?
include_once 'inc/load.php';
switch($do)
{
    default:
    echo '<div class="c">';
    echo '<a href="?do=add">Добавить сообщение</a> | <a href="?'.rand(1, 99999).'">Обновить</a>';
    echo '</div>';
    ###
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gb`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$query = mysql_query("SELECT * FROM `gb` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
if ($k_post==0){
    echo $f->div('c', '<b>Сообщений нет!</b>');
    }
while($sql = mysql_fetch_array($query)){
$q=mysql_query("SELECT * FROM `smiles`");
while($post = mysql_fetch_array($q)){
$sql['text']=str_replace($post['sim'], '<img src="smile/'.$post['name'].'.gif" alt="'.$post['name'].'">', $sql['text']);
}
echo '<div class="a">';
echo ''.$sql['id'].'. <a href="?do=add&us='.$sql['user'].'">'.$sql['user'].'</a>, '.clock($sql['date']).'<br />';
echo substr($sql['text'],0,1000);
echo'</div>';
}
    if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
     echo $f->div('c', '<b><a href="/?do=smile">Смайлы</a></b>');
    break;
    case 'add':
    if (empty($_POST['name']))
{
$us = ($_GET['us']) ? ''.html($_GET['us']).', ' : '';
echo '<form class="b" action="?do=add" method="post" name="form">';
echo 'Имя [max:30]<br/><input name="name" type="text" maxlength="30" /><br/>';
echo 'Сообщение [max:1000]<br/><textarea name="message" rows="3" cols="25">'.$us.'</textarea><br/>
Текст с картинки <span class="small">(только цифры и буквы)</span><br/><img src="code.gif" alt="....."/>:<br/>
<input type="text" name="code" maxlength="4"/><br/>';
echo '<input name="button" type="submit" value="Написать" />
</form>';
 echo $f->div('c', '<b>* Лишний текст будет обрезан!</b>');
}else{
 $name = substr(html($_POST['name']),0,30);
 $message = substr(html($_POST['message']),0,1000);
 $captcha = $_POST['code'];
if(empty($message) || empty($name)){ echo $f->div('a', '<b>Не заполнено одно из полей!</b>');include_once 'inc/foot.php'; exit;}
if ($_SESSION['code'] != $captcha) {echo $f->div('a', '<b>Каптча введена не верно!</b>');include_once 'inc/foot.php'; exit;}
$tr = mysql_query("SELECT * FROM `gb` WHERE `text` = '".$message."'");
if(mysql_fetch_row($tr)){ echo $f->div('a', '<b>Зачем повторяться?!</b>');include_once 'inc/foot.php'; exit;}
$sql = mysql_query("INSERT INTO `gb` (user, text, date) VALUES('$name', '$message', '".time()."')");
 echo $f->div('a', '<b>Сообщение добавлено!</b>');
}
break;
	case "smile":
	$wink = mysql_query("SELECT * FROM `smiles`");
while($post =mysql_fetch_array($wink)){echo $f->div('a', '<img src="smile/'.$post['name'].'.gif" alt="'.$post['name'].'"/>&nbsp;&#187;&nbsp;'.$post['sim'].'<br/>');}
break;
}
include_once 'inc/foot.php';
?>